curl
curl "https://api.signalmd.dev/v1/agents/6f1d2c3b-4a5e-4f60-8b7a-9c0d1e2f3a4b/criteria-proposals" \
-H "Authorization: Bearer $SIGNAL_API_KEY"import requests
url = "https://api.signalmd.dev/v1/agents/{agentId}/criteria-proposals"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.signalmd.dev/v1/agents/{agentId}/criteria-proposals', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.signalmd.dev/v1/agents/{agentId}/criteria-proposals",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.signalmd.dev/v1/agents/{agentId}/criteria-proposals"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.signalmd.dev/v1/agents/{agentId}/criteria-proposals")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.signalmd.dev/v1/agents/{agentId}/criteria-proposals")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"object": "list",
"data": [
{
"object": "criteria_proposal",
"id": "3f1c2d4e-5a6b-4c7d-8e9f-0a1b2c3d4e5f",
"testId": "3f1c2d4e-5a6b-4c7d-8e9f-0a1b2c3d4e5f",
"testTitle": "<string>",
"baseRevision": 123,
"currentRevision": 123,
"status": "pending",
"why": "<string>",
"diff": {
"added": [
"<string>"
],
"removed": [
"<string>"
],
"changed": [
{
"id": "<string>",
"from": "<unknown>",
"to": "<unknown>"
}
]
},
"lines": {
"added": [
{
"id": "<string>",
"text": "<string>"
}
],
"removed": [
{
"id": "<string>",
"text": "<string>"
}
],
"changed": [
{
"id": "<string>",
"from": "<string>",
"to": "<string>"
}
]
},
"spec": {
"specVersion": 1,
"source": {
"kind": "production",
"basedOnTestId": "3f1c2d4e-5a6b-4c7d-8e9f-0a1b2c3d4e5f",
"basedOnCallId": "3f1c2d4e-5a6b-4c7d-8e9f-0a1b2c3d4e5f",
"briefLine": {
"section": "out_of_scope",
"key": "<string>",
"text": "<string>"
},
"generated": {
"generationId": "<string>",
"kind": "from_call",
"cell": "<string>"
}
},
"intentSlug": "<string>",
"lane": "hearing",
"tier": "text",
"start": {
"direction": "inbound",
"agentSpeaksFirst": true,
"variables": {},
"metadata": {}
},
"caller": {
"persona": "<string>",
"goal": "<string>",
"lines": [
"<string>"
],
"behaviours": [
{
"kind": "refuses",
"atLine": 123,
"detail": "<string>"
}
]
},
"fixtures": {},
"criteria": [
{
"id": "<string>",
"decidedBy": "detector",
"ref": "<string>",
"text": "<string>",
"polarity": "must"
}
],
"expect": "pass",
"guard": true,
"sets": [
"<string>"
],
"tags": [
"<string>"
],
"testId": "3f1c2d4e-5a6b-4c7d-8e9f-0a1b2c3d4e5f",
"revision": 123,
"title": "<string>"
},
"proposedBy": "<string>",
"principalKind": "person",
"decidedBy": "<string>",
"decidedAt": "2026-10-02T14:03:07.120Z",
"resultingRevision": 123,
"goalId": "3f1c2d4e-5a6b-4c7d-8e9f-0a1b2c3d4e5f",
"createdAt": "2026-10-02T14:03:07.120Z"
}
],
"hasMore": true,
"nextCursor": "<string>"
}{
"error": {
"type": "not_found_error",
"code": "agent_not_found",
"message": "Agent not found.",
"param": null,
"requestId": "req_8c1f0e2b4a6d9e3f7a5c1b0d"
}
}{
"error": {
"type": "not_found_error",
"code": "agent_not_found",
"message": "Agent not found.",
"param": null,
"requestId": "req_8c1f0e2b4a6d9e3f7a5c1b0d"
}
}{
"error": {
"type": "not_found_error",
"code": "agent_not_found",
"message": "Agent not found.",
"param": null,
"requestId": "req_8c1f0e2b4a6d9e3f7a5c1b0d"
}
}{
"error": {
"type": "not_found_error",
"code": "agent_not_found",
"message": "Agent not found.",
"param": null,
"requestId": "req_8c1f0e2b4a6d9e3f7a5c1b0d"
}
}{
"error": {
"type": "not_found_error",
"code": "agent_not_found",
"message": "Agent not found.",
"param": null,
"requestId": "req_8c1f0e2b4a6d9e3f7a5c1b0d"
}
}{
"error": {
"type": "not_found_error",
"code": "agent_not_found",
"message": "Agent not found.",
"param": null,
"requestId": "req_8c1f0e2b4a6d9e3f7a5c1b0d"
}
}Tests
List criteria proposals
The agent’s criteria proposals, newest first, at most 200. Pending ones unless status says otherwise.
GET
/
v1
/
agents
/
{agentId}
/
criteria-proposals
curl
curl "https://api.signalmd.dev/v1/agents/6f1d2c3b-4a5e-4f60-8b7a-9c0d1e2f3a4b/criteria-proposals" \
-H "Authorization: Bearer $SIGNAL_API_KEY"import requests
url = "https://api.signalmd.dev/v1/agents/{agentId}/criteria-proposals"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.signalmd.dev/v1/agents/{agentId}/criteria-proposals', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.signalmd.dev/v1/agents/{agentId}/criteria-proposals",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.signalmd.dev/v1/agents/{agentId}/criteria-proposals"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.signalmd.dev/v1/agents/{agentId}/criteria-proposals")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.signalmd.dev/v1/agents/{agentId}/criteria-proposals")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"object": "list",
"data": [
{
"object": "criteria_proposal",
"id": "3f1c2d4e-5a6b-4c7d-8e9f-0a1b2c3d4e5f",
"testId": "3f1c2d4e-5a6b-4c7d-8e9f-0a1b2c3d4e5f",
"testTitle": "<string>",
"baseRevision": 123,
"currentRevision": 123,
"status": "pending",
"why": "<string>",
"diff": {
"added": [
"<string>"
],
"removed": [
"<string>"
],
"changed": [
{
"id": "<string>",
"from": "<unknown>",
"to": "<unknown>"
}
]
},
"lines": {
"added": [
{
"id": "<string>",
"text": "<string>"
}
],
"removed": [
{
"id": "<string>",
"text": "<string>"
}
],
"changed": [
{
"id": "<string>",
"from": "<string>",
"to": "<string>"
}
]
},
"spec": {
"specVersion": 1,
"source": {
"kind": "production",
"basedOnTestId": "3f1c2d4e-5a6b-4c7d-8e9f-0a1b2c3d4e5f",
"basedOnCallId": "3f1c2d4e-5a6b-4c7d-8e9f-0a1b2c3d4e5f",
"briefLine": {
"section": "out_of_scope",
"key": "<string>",
"text": "<string>"
},
"generated": {
"generationId": "<string>",
"kind": "from_call",
"cell": "<string>"
}
},
"intentSlug": "<string>",
"lane": "hearing",
"tier": "text",
"start": {
"direction": "inbound",
"agentSpeaksFirst": true,
"variables": {},
"metadata": {}
},
"caller": {
"persona": "<string>",
"goal": "<string>",
"lines": [
"<string>"
],
"behaviours": [
{
"kind": "refuses",
"atLine": 123,
"detail": "<string>"
}
]
},
"fixtures": {},
"criteria": [
{
"id": "<string>",
"decidedBy": "detector",
"ref": "<string>",
"text": "<string>",
"polarity": "must"
}
],
"expect": "pass",
"guard": true,
"sets": [
"<string>"
],
"tags": [
"<string>"
],
"testId": "3f1c2d4e-5a6b-4c7d-8e9f-0a1b2c3d4e5f",
"revision": 123,
"title": "<string>"
},
"proposedBy": "<string>",
"principalKind": "person",
"decidedBy": "<string>",
"decidedAt": "2026-10-02T14:03:07.120Z",
"resultingRevision": 123,
"goalId": "3f1c2d4e-5a6b-4c7d-8e9f-0a1b2c3d4e5f",
"createdAt": "2026-10-02T14:03:07.120Z"
}
],
"hasMore": true,
"nextCursor": "<string>"
}{
"error": {
"type": "not_found_error",
"code": "agent_not_found",
"message": "Agent not found.",
"param": null,
"requestId": "req_8c1f0e2b4a6d9e3f7a5c1b0d"
}
}{
"error": {
"type": "not_found_error",
"code": "agent_not_found",
"message": "Agent not found.",
"param": null,
"requestId": "req_8c1f0e2b4a6d9e3f7a5c1b0d"
}
}{
"error": {
"type": "not_found_error",
"code": "agent_not_found",
"message": "Agent not found.",
"param": null,
"requestId": "req_8c1f0e2b4a6d9e3f7a5c1b0d"
}
}{
"error": {
"type": "not_found_error",
"code": "agent_not_found",
"message": "Agent not found.",
"param": null,
"requestId": "req_8c1f0e2b4a6d9e3f7a5c1b0d"
}
}{
"error": {
"type": "not_found_error",
"code": "agent_not_found",
"message": "Agent not found.",
"param": null,
"requestId": "req_8c1f0e2b4a6d9e3f7a5c1b0d"
}
}{
"error": {
"type": "not_found_error",
"code": "agent_not_found",
"message": "Agent not found.",
"param": null,
"requestId": "req_8c1f0e2b4a6d9e3f7a5c1b0d"
}
}Authorizations
An API key (sig_...), or a session token from the web app.
Path Parameters
The agent's id.
Pattern:
^[0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{12}$Example:
"3f1c2d4e-5a6b-4c7d-8e9f-0a1b2c3d4e5f"
Query Parameters
Which proposals: pending (the default), approved, rejected, superseded or all.
Available options:
pending, approved, rejected, superseded, all Only this test's.
Pattern:
^[0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{12}$Example:
"3f1c2d4e-5a6b-4c7d-8e9f-0a1b2c3d4e5f"
Was this page helpful?